import { jsx as _jsx } from "react/jsx-runtime";
import { ReactWidget } from '@jupyterlab/apputils';
import { ThemeProvider, BaseStyles, Box } from '@primer/react';
import Dashboard from './components/Dashboard';
class DashboardWidget extends ReactWidget {
    _context;
    constructor(context) {
        super();
        this._context = context;
    }
    render() {
        return (_jsx(ThemeProvider, { children: _jsx(BaseStyles, { children: _jsx(Box, { m: 3, children: _jsx(Dashboard, { context: this._context }) }) }) }));
    }
}
export default DashboardWidget;
//# sourceMappingURL=dashboardWidget.js.map