import { jsx as _jsx } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import Jupyter from '../jupyter/Jupyter';
import Notebook from '../components/notebook/Notebook';
import NotebookToolbar from "./toolbars/NotebookToolbar";
import CellSidebarDefault from "../components/notebook/cell/sidebar/CellSidebarDefault";
import notebook from "./samples/Matplotlib.ipynb.json";
import "./../../style/index.css";
const Matplotlib = () => (_jsx(Jupyter, { children: _jsx(Notebook, { nbformat: notebook, uid: "notebook-matplotlib-uid", bundledIPyWidgets: [
            { name: "jupyter-matplotlib", version: "0.11.3", module: require("jupyter-matplotlib") }
        ], height: 'calc(100vh - 2.6rem)' // (Height - Toolbar Height).
        , cellSidebarMargin: 120, CellSidebar: CellSidebarDefault, Toolbar: NotebookToolbar }) }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Matplotlib, {}));
//# sourceMappingURL=Matplotlib.js.map