import { IDisposable } from '@lumino/disposable';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { NotebookPanel, INotebookModel } from '@jupyterlab/notebook';
import { CommandRegistry } from '@lumino/commands';
export declare class NotebookHeaderExtension implements DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel> {
    private _commands;
    constructor(commands: CommandRegistry);
    createNew(panel: NotebookPanel, _: DocumentRegistry.IContext<INotebookModel>): IDisposable;
}
